<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:tools="http://schemas.android.com/tools"
    android:background="@drawable/shape_radio_bg"
    android:orientation="vertical">

    <!-- 顶部布局 -->
    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginBottom="@dimen/dp_15"
        android:paddingLeft="@dimen/dp_20"
        android:paddingTop="@dimen/dp_20"
        android:paddingRight="@dimen/dp_20">

        <TextView
            android:id="@+id/cancel_button"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:padding="@dimen/dp_6"
            android:text="订单总金额"
            android:textColor="@color/col_313"
            android:textSize="@dimen/sp_17"
            android:textStyle="bold" />

        <!-- 确定按钮 -->
        <ImageView
            android:id="@+id/close_button"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_centerVertical="true"
            android:padding="@dimen/dp_6"
            android:src="@mipmap/ic_close"
            tools:ignore="RtlHardcoded" />

    </RelativeLayout>

    <TextView
        android:id="@+id/tvPrice"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true"
        android:layout_centerHorizontal="true"
        android:layout_gravity="center_horizontal"
        android:layout_marginBottom="@dimen/dp_27"
        tools:text="68.8"
        android:textColor="@android:color/black"
        android:textSize="@dimen/sp_20"
        android:textStyle="bold"
        tools:ignore="ObsoleteLayoutParam" />

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:paddingLeft="@dimen/dp_31"
        android:paddingRight="@dimen/dp_31">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="@dimen/dp_18"
            android:text="选择支付方式"
            android:textColor="@color/col_C7C"
            android:textSize="@dimen/sp_13" />

        <LinearLayout
            android:id="@+id/llWeixin"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="@dimen/dp_18"
            android:orientation="horizontal"
            android:paddingTop="@dimen/dp_10"
            android:paddingBottom="@dimen/dp_10">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:drawableLeft="@mipmap/ic_weixinzhif"
                android:drawablePadding="@dimen/dp_9"
                android:text="微信"
                android:textColor="@color/col_313"
                android:textSize="@dimen/sp_15"
                android:textStyle="bold" />

            <View
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:layout_weight="1" />

            <TextView
                android:id="@+id/tv_gouxuan_weixin"
                android:layout_width="@dimen/dp_14"
                android:layout_height="@dimen/dp_14"
                android:background="@drawable/selector_zhifu" />

        </LinearLayout>

        <LinearLayout
            android:id="@+id/llZhifu"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="@dimen/dp_18"
            android:orientation="horizontal"
            android:paddingTop="@dimen/dp_10"
            android:paddingBottom="@dimen/dp_10">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:drawableLeft="@mipmap/ic_zhifubao"
                android:drawablePadding="@dimen/dp_9"
                android:text="支付宝"
                android:textColor="@color/col_313"
                android:textSize="@dimen/sp_15"
                android:textStyle="bold" />

            <View
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:layout_weight="1" />

            <TextView
                android:id="@+id/tv_gouxuan_zhifubao"
                android:layout_width="@dimen/dp_14"
                android:layout_height="@dimen/dp_14"
                android:background="@drawable/selector_zhifu" />

        </LinearLayout>

        <LinearLayout
            android:id="@+id/llDuihuan"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="@dimen/dp_85"
            android:orientation="horizontal"
            android:paddingTop="@dimen/dp_10"
            android:visibility="gone"
            android:paddingBottom="@dimen/dp_10">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:drawableStart="@mipmap/ic_duihuanma"
                android:drawablePadding="@dimen/dp_9"
                android:text="兑换码"
                android:textColor="@color/col_313"
                android:textSize="@dimen/sp_15"
                android:textStyle="bold"
                tools:ignore="UseCompatTextViewDrawableXml" />

            <View
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:layout_weight="1" />

            <TextView
                android:id="@+id/tv_gouxuan_duihuanma"
                android:layout_width="@dimen/dp_14"
                android:layout_height="@dimen/dp_14"
                android:background="@drawable/selector_zhifu" />

        </LinearLayout>

        <TextView
            android:id="@+id/tvZhifu"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_50"
            android:layout_marginTop="@dimen/dp_80"
            android:layout_marginBottom="@dimen/dp_10"
            android:background="@drawable/shape_button_bg"
            android:gravity="center"
            android:text="确认支付"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_18" />

    </LinearLayout>

</LinearLayout>
